Language="VBSCRIPT" Sub CATMain() Dim partDocument1 As Document Set partDocument1 = CATIA.ActiveDocument Dim selection1 As Selection Set selection1 = partDocument1.Selection selection1.Search "(((CATStFreeStyleSearch.OpenBodyFeature + CATPrtSearch.OpenBodyFeature) + CATGmoSearch.OpenBodyFeature) + CATSpdSearch.OpenBodyFeature),all" Dim selection2 As Selection Set selection2 = partDocument1.Selection selection2.Search "(((CATStFreeStyleSearch.OpenBodyFeature + CATPrtSearch.OpenBodyFeature) + CATGmoSearch.OpenBodyFeature) + CATSpdSearch.OpenBodyFeature),all" Dim selection3 As Selection Set selection3 = partDocument1.Selection Dim visPropertySet1 As VisPropertySet Set visPropertySet1 = selection3.VisProperties Dim part1 As Part Set part1 = partDocument1.Part Set visPropertySet1 = visPropertySet1.Parent 'Dim bSTR25 As String 'bSTR25 = visPropertySet1.Name 'Dim bSTR26 As String 'bSTR26 = visPropertySet1.Name visPropertySet1.SetShow 1 selection3.Clear msgbox "Fertig" End Sub